program lsp0;
uses mtx09;
var a:mtx;
begin
  // WARNING: Floating point constants such as 0.0 and 1.0 are used NOT
  // 0 or 1 to be sure that the right avatar of lsp() is used !
  // With function overloading, a function is identified by its name
  // AND the types of the arguments ! so make sure to avoid type
  // conversions as a general safe coding habit.
  lsp(a,0.0,1.0,5); // 5 segments i.e. 6 data points
  mwr(trp(a));      // transposed output
end.
